# Uses of Enum Class
javafx.scene.AccessibleRole

Packages that use AccessibleRole
Package
Description
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.

## Uses of AccessibleRole in javafx.scene

Methods in javafx.scene that return AccessibleRole
Modifier and Type
Method
Description
`final AccessibleRole`
Node.`getAccessibleRole()`
Gets the value of the `accessibleRole` property.
`static AccessibleRole`
AccessibleRole.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AccessibleRole[]`
AccessibleRole.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene that return types with arguments of type AccessibleRole
Modifier and Type
Method
Description
`final ObjectProperty<AccessibleRole>`
Node.`accessibleRoleProperty()`
The accessible role for this `Node`.
Methods in javafx.scene with parameters of type AccessibleRole
Modifier and Type
Method
Description
`final void`
Node.`setAccessibleRole(AccessibleRole value)`
Sets the value of the `accessibleRole` property.